Вопрос: Драйвер AMD не работает на ядре 3.19.0-26


Я прошу помощи или исправления для этого черного экрана в Ubuntu 15.04.

Черный экран содержит сообщение starting version 219 и я застрял там уже как день. Был попыткой найти исправление в Google, но не удалось. До сих пор я пытался исправить это, перейдя в терминал, используя команды вроде:

sudo systemctl enable sddm.service -f

Эта команда проходит, потому что у меня нет sddm в моей системе, так что это не удалось. Следующая вещь, я узнал, что мой sddm был lightdm, поэтому я попытался использовать

sudo systemctl enable lightdm.service -f 

... и тот же результат, но на этот раз он получил сообщение, что он не предназначен для активации через systemctl, Наконец, я попробовал это:

systemctl start lightdm

Это происходит. После ввода пароля он прошел, но он вернулся на черный экран. Пробовал нажать клавишу переключения, когда я перезагрузил его, но это не сработало.


1
2017-08-19 13:04


Источник


У вас есть графика AMD? - Pilot6
Да сэр! Мой графический драйвер - amd radeon - RedKing


Ответы:


Это ошибка Ubuntu, приводящая к несовместимости между ядром 3.19.0-26 и fglrx-updates пакет.

Вы можете загрузиться с предыдущим ядром 3.19.0-25, используя grub,

Эта ошибка уже исправлена, но новый пакет еще не достиг стабильного хранилища. Он выпущен сегодня и достигнет главного сервера сегодня. Локальные зеркала могут быть обновлены немного позже.

Вы можете скачать и установить исправленный пакет для 15.04 сейчас из ВОТ

BugLink

Чтобы исправить это, нажмите Ctrl + Alt + F1, когда вы застряли на черном экране. Затем войдите в консоль и запустите там:

sudo apt-get remove linux-image-3.19.0-26-generic
sudo reboot

Но после того, как вы увидите fglrx-updates пакет обновлен, вам нужно будет запустить:

sudo apt-get install linux-generic

для восстановления мета-пакета для обновления ядер.

Для запуска Ubuntu 14.04.3:

sudo apt-get install linux-generic-lts-vivid

вместо предыдущей команды.

Обновить Теперь эта проблема полностью решена в репозиториях.


2
2017-08-19 13:13



спасибо за это сэр, но извините. Я полный ноб, когда дело доходит до этого. Можете ли вы научить меня, как их устанавливать? Или как это исправить? огромное спасибо - RedKing
Нажмите Shift при загрузке, войдите в меню grub и выберите предыдущее ядро. Затем загрузите и установите этот deb pacakage, затем перезагрузитесь. - Pilot6
Я пытаюсь это сделать, но он не работает. Я не знаю. После перезагрузки я нажимаю shift, но он просто переходит на черный экран - RedKing
Я обновил ответ. - Pilot6
Просто не обновляйте ядро ​​до fglrx-updates не появляется в обновлениях. Исправление будет само собой. Система будет работать без исправления на предыдущем ядре. - Pilot6